<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$intlink01=($_POST['intlink01']);
$intinfo01=($_POST['intinfo01']);
$inttitle01=($_POST['inttitle01']);
$intlink02=($_POST['intlink02']);
$intinfo02=($_POST['intinfo02']);
$inttitle02=($_POST['inttitle02']);
$intlink03=($_POST['intlink03']);
$intinfo03=($_POST['intinfo03']);
$inttitle03=($_POST['inttitle03']);
$intlink04=($_POST['intlink04']);
$intinfo04=($_POST['intinfo04']);
$inttitle04=($_POST['inttitle04']);
$intlink05=($_POST['intlink05']);
$intinfo05=($_POST['intinfo05']);
$inttitle05=($_POST['inttitle05']);
$intlink06=($_POST['intlink06']);
$intinfo06=($_POST['intinfo06']);
$inttitle06=($_POST['inttitle06']);
$intlink07=($_POST['intlink07']);
$intinfo07=($_POST['intinfo07']);
$inttitle07=($_POST['inttitle07']);
$intlink08=($_POST['intlink08']);
$intinfo08=($_POST['intinfo08']);
$inttitle08=($_POST['inttitle08']);
$intlink09=($_POST['intlink09']);
$intinfo09=($_POST['intinfo09']);
$inttitle09=($_POST['inttitle09']);
$intlink10=($_POST['intlink10']);
$intinfo10=($_POST['intinfo10']);
$inttitle10=($_POST['inttitle10']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[intlink01])<=0){@$_POST[intlink01]="";}
if (strlen(@$_POST[intinfo01])<=0){@$_POST[intinfo01]="";}
if (strlen(@$_POST[inttitle01])<=0){@$_POST[inttitle01]="";}
if (strlen(@$_POST[intlink02])<=0){@$_POST[intlink02]="";}
if (strlen(@$_POST[intinfo02])<=0){@$_POST[intinfo02]="";}
if (strlen(@$_POST[inttitle02])<=0){@$_POST[inttitle02]="";}
if (strlen(@$_POST[intlink03])<=0){@$_POST[intlink03]="";}
if (strlen(@$_POST[intinfo03])<=0){@$_POST[intinfo03]="";}
if (strlen(@$_POST[inttitle03])<=0){@$_POST[inttitle03]="";}
if (strlen(@$_POST[intlink04])<=0){@$_POST[intlink04]="";}
if (strlen(@$_POST[intinfo04])<=0){@$_POST[intinfo04]="";}
if (strlen(@$_POST[inttitle04])<=0){@$_POST[inttitle04]="";}
if (strlen(@$_POST[intlink05])<=0){@$_POST[intlink05]="";}
if (strlen(@$_POST[intinfo05])<=0){@$_POST[intinfo05]="";}
if (strlen(@$_POST[inttitle05])<=0){@$_POST[inttitle05]="";}
if (strlen(@$_POST[intlink06])<=0){@$_POST[intlink06]="";}
if (strlen(@$_POST[intinfo06])<=0){@$_POST[intinfo06]="";}
if (strlen(@$_POST[inttitle06])<=0){@$_POST[inttitle06]="";}
if (strlen(@$_POST[intlink07])<=0){@$_POST[intlink07]="";}
if (strlen(@$_POST[intinfo07])<=0){@$_POST[intinfo07]="";}
if (strlen(@$_POST[inttitle07])<=0){@$_POST[inttitle07]="";}
if (strlen(@$_POST[intlink08])<=0){@$_POST[intlink08]="";}
if (strlen(@$_POST[intinfo08])<=0){@$_POST[intinfo08]="";}
if (strlen(@$_POST[inttitle08])<=0){@$_POST[inttitle08]="";}
if (strlen(@$_POST[intlink09])<=0){@$_POST[intlink09]="";}
if (strlen(@$_POST[intinfo09])<=0){@$_POST[intinfo09]="";}
if (strlen(@$_POST[inttitle09])<=0){@$_POST[inttitle09]="";}
if (strlen(@$_POST[intlink10])<=0){@$_POST[intlink10]="";}
if (strlen(@$_POST[intinfo10])<=0){@$_POST[intinfo10]="";}
if (strlen(@$_POST[inttitle10])<=0){@$_POST[inttitle10]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/intlink01=(.+?);/';
$patterns[1]='/intinfo01=(.+?);/';
$patterns[2]='/inttitle01=(.+?);/';
$patterns[3]='/intlink02=(.+?);/';
$patterns[4]='/intinfo02=(.+?);/';
$patterns[5]='/inttitle02=(.+?);/';
$patterns[6]='/intlink03=(.+?);/';
$patterns[7]='/intinfo03=(.+?);/';
$patterns[8]='/inttitle03=(.+?);/';
$patterns[9]='/intlink04=(.+?);/';
$patterns[10]='/intinfo04=(.+?);/';
$patterns[11]='/inttitle04=(.+?);/';
$patterns[12]='/intlink05=(.+?);/';
$patterns[13]='/intinfo05=(.+?);/';
$patterns[14]='/inttitle05=(.+?);/';
$patterns[15]='/intlink06=(.+?);/';
$patterns[16]='/intinfo06=(.+?);/';
$patterns[17]='/inttitle06=(.+?);/';
$patterns[18]='/intlink07=(.+?);/';
$patterns[19]='/intinfo07=(.+?);/';
$patterns[20]='/inttitle07=(.+?);/';
$patterns[21]='/intlink08=(.+?);/';
$patterns[22]='/intinfo08=(.+?);/';
$patterns[23]='/inttitle08=(.+?);/';
$patterns[24]='/intlink09=(.+?);/';
$patterns[25]='/intinfo09=(.+?);/';
$patterns[26]='/inttitle09=(.+?);/';
$patterns[27]='/intlink10=(.+?);/';
$patterns[28]='/intinfo10=(.+?);/';
$patterns[29]='/inttitle10=(.+?);/';

@$replacements[0]=sprintf("intlink01=%s%s%s;",$t,$_POST[intlink01],$t);
@$replacements[1]=sprintf("intinfo01=%s%s%s;",$t,$_POST[intinfo01],$t);
@$replacements[2]=sprintf("inttitle01=%s%s%s;",$t,$_POST[inttitle01],$t);
@$replacements[3]=sprintf("intlink02=%s%s%s;",$t,$_POST[intlink02],$t);
@$replacements[4]=sprintf("intinfo02=%s%s%s;",$t,$_POST[intinfo02],$t);
@$replacements[5]=sprintf("inttitle02=%s%s%s;",$t,$_POST[inttitle02],$t);
@$replacements[6]=sprintf("intlink03=%s%s%s;",$t,$_POST[intlink03],$t);
@$replacements[7]=sprintf("intinfo03=%s%s%s;",$t,$_POST[intinfo03],$t);
@$replacements[8]=sprintf("inttitle03=%s%s%s;",$t,$_POST[inttitle03],$t);
@$replacements[9]=sprintf("intlink04=%s%s%s;",$t,$_POST[intlink04],$t);
@$replacements[10]=sprintf("intinfo04=%s%s%s;",$t,$_POST[intinfo04],$t);
@$replacements[11]=sprintf("inttitle04=%s%s%s;",$t,$_POST[inttitle04],$t);
@$replacements[12]=sprintf("intlink05=%s%s%s;",$t,$_POST[intlink05],$t);
@$replacements[13]=sprintf("intinfo05=%s%s%s;",$t,$_POST[intinfo05],$t);
@$replacements[14]=sprintf("inttitle05=%s%s%s;",$t,$_POST[inttitle05],$t);
@$replacements[15]=sprintf("intlink06=%s%s%s;",$t,$_POST[intlink06],$t);
@$replacements[16]=sprintf("intinfo06=%s%s%s;",$t,$_POST[intinfo06],$t);
@$replacements[17]=sprintf("inttitle06=%s%s%s;",$t,$_POST[inttitle06],$t);
@$replacements[18]=sprintf("intlink07=%s%s%s;",$t,$_POST[intlink07],$t);
@$replacements[19]=sprintf("intinfo07=%s%s%s;",$t,$_POST[intinfo07],$t);
@$replacements[20]=sprintf("inttitle07=%s%s%s;",$t,$_POST[inttitle07],$t);
@$replacements[21]=sprintf("intlink08=%s%s%s;",$t,$_POST[intlink08],$t);
@$replacements[22]=sprintf("intinfo08=%s%s%s;",$t,$_POST[intinfo08],$t);
@$replacements[23]=sprintf("inttitle08=%s%s%s;",$t,$_POST[inttitle08],$t);
@$replacements[24]=sprintf("intlink09=%s%s%s;",$t,$_POST[intlink09],$t);
@$replacements[25]=sprintf("intinfo09=%s%s%s;",$t,$_POST[intinfo09],$t);
@$replacements[26]=sprintf("inttitle09=%s%s%s;",$t,$_POST[inttitle09],$t);
@$replacements[27]=sprintf("intlink10=%s%s%s;",$t,$_POST[intlink10],$t);
@$replacements[28]=sprintf("intinfo10=%s%s%s;",$t,$_POST[intinfo10],$t);
@$replacements[29]=sprintf("inttitle10=%s%s%s;",$t,$_POST[inttitle10],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
